# Uses of Enum
com.fasterxml.jackson.core.filter.TokenFilter.Inclusion

Packages that use TokenFilter.Inclusion
Package
Description
com.fasterxml.jackson.core.filter

## Uses of TokenFilter.Inclusion in com.fasterxml.jackson.core.filter

Fields in com.fasterxml.jackson.core.filter declared as TokenFilter.Inclusion
Modifier and Type
Field
Description
`protected TokenFilter.Inclusion`
FilteringGeneratorDelegate.`_inclusion`
Flag that determines whether path leading up to included content should also be automatically included or not.
`protected TokenFilter.Inclusion`
FilteringParserDelegate.`_inclusion`
Flag that determines whether path leading up to included content should also be automatically included or not.
Methods in com.fasterxml.jackson.core.filter that return TokenFilter.Inclusion
Modifier and Type
Method
Description
`static TokenFilter.Inclusion`
TokenFilter.Inclusion.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TokenFilter.Inclusion[]`
TokenFilter.Inclusion.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Constructors in com.fasterxml.jackson.core.filter with parameters of type TokenFilter.Inclusion
Modifier
Constructor
Description
``
`FilteringGeneratorDelegate(JsonGenerator d, TokenFilter f, TokenFilter.Inclusion inclusion, boolean allowMultipleMatches)`
``
`FilteringParserDelegate(JsonParser p, TokenFilter f, TokenFilter.Inclusion inclusion, boolean allowMultipleMatches)`